/**
 * ActClassContract2.java
 *
 * File generated from the medication2::ActClassContract2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassContract2.
 *
 * 
 */

@XmlType(name = "ActClassContract")
@XmlEnum
@XmlRootElement(name = "ActClassContract2")
public enum ActClassContract2 {
	@XmlEnumValue("CNTRCT")
	CNTRCT("CNTRCT"),
	@XmlEnumValue("FCNTRCT")
	FCNTRCT("FCNTRCT"),
	@XmlEnumValue("COV")
	COV("COV");
	
	private final String value;

    ActClassContract2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassContract2 fromValue(String v) {
        for (ActClassContract2 c: ActClassContract2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
